RankedCrossRefable (BioJava-1.5-beta API)
Keywords: org.biojavax.RankedCrossRefable interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojavax
Interface RankedCrossRefable

All Superinterfaces:
  Changeable

All Known Subinterfaces:
  BioEntry, ComparableTerm, RichFeature, RichSequence

All Known Implementing Classes:
  SimpleBioEntry, SimpleComparableTerm, SimpleRichFeature, SimpleRichSequence, ThinRichSequence

    public interface RankedCrossRefable

extends Changeable

Defines an object as being able to have ranked cross references associated with it.

Since:
  1.5
Author:
  Richard Holland
See Also:
  `RankedCrossRef`

Method Summary
`void` | `addRankedCrossRef(RankedCrossRef crossref)` Adds a ranked cross reference to the existing set.
`Set` | `getRankedCrossRefs()` Returns the set of all ranked cross references associated with an object.
`void` | `removeRankedCrossRef(RankedCrossRef crossref)` Removes a ranked cross reference from the existing set.
`void` | `setRankedCrossRefs(Set crossrefs)` Sets the ranked cross references associated with an object.

Methods inherited from interface org.biojava.utils.Changeable
`addChangeListener, addChangeListener, isUnchanging, removeChangeListener, removeChangeListener`

Method Detail

### getRankedCrossRefs

    Set getRankedCrossRefs()

  Returns the set of all ranked cross references associated with an object.

  Returns:
    a set of RankedCrossRef objects.

### setRankedCrossRefs

    void setRankedCrossRefs(Set crossrefs)
                            throws ChangeVetoException

  Sets the ranked cross references associated with an object. Null will throw an exception but the empty set is fine.

  Parameters:
    `crossrefs` - a set of RankedCrossRef objects.
  Throws:
    `ChangeVetoException` - if the set was null or any of its contents were not RankedCrossRef objects.

### addRankedCrossRef

    void addRankedCrossRef(RankedCrossRef crossref)
                           throws ChangeVetoException

  Adds a ranked cross reference to the existing set. If already present, this call is ignored. Null values are not acceptable.

  Parameters:
    `crossref` - the ranked cross reference to add.
  Throws:
    `ChangeVetoException` - if the parameter is null.

### removeRankedCrossRef

    void removeRankedCrossRef(RankedCrossRef crossref)
                              throws ChangeVetoException

  Removes a ranked cross reference from the existing set. If not present, this call is ignored. Null values are not acceptable.

  Parameters:
    `crossref` - the ranked cross reference to remove.
  Throws:
    `ChangeVetoException` - if the parameter is null.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD